XTranslateCoordinates(3)

NAME
XTranslateCoordinates - translate window coordinates

SYNTAX

Bool XTranslateCoordinates(Display *display, Window src_w, dest_w, int src_x, int src_y, int *dest_x_return, int *dest_y_return, Window *child_return);

ARGUMENTS

child_return
    Returns the child if the coordinates are contained in a mapped child of the destination window.

dest_w
    Specifies the destination window.

dest_x_return

dest_y_return
    Return the x and y coordinates within the destination window.

display
    Specifies the connection to the X server.

src_w
    Specifies the source window.

src_x

src_y
    Specify the x and y coordinates within the source window.

DESCRIPTION
If XTranslateCoordinates returns True, it takes the src_x and src_y coordinates relative to the source window's origin and returns these coordinates to dest_x_return and dest_y_return relative to the destination window's origin. If XTranslateCoordinates returns False, src_w and dest_w are on different screens, and dest_x_return and dest_y_return are zero. If the coordinates are contained in a mapped child of dest_w, that child is returned to child_return. Otherwise, child_return is set to None.

XTranslateCoordinates can generate a BadWindow error.

DIAGNOSTICS

BadWindow
    A value for a Window argument does not name a defined Window.

SEE ALSO
Xlib - C Language X Interface